<?php

session_start();

require_once './userlogic.php';

$result=UserLogic::checkLogin();
if($result){
    header('Location:mypage.php');
}

$err=$_SESSION;

//セッションを消す
$_SESSION=array();
session_destroy();

?>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ログイン画面</title>
    <style type="text/css">
        body {
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
            Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
            "Noto Color Emoji";
            font-size: 20px;
            color: #666;
            text-align: center;  
            width: 100%;              
        }

        body input{
            font-size: 20px;
        }

        body .btn{
            height: 44px;
	        border-radius: 22px;
	        padding: 10px 20px;
	        background-color: #6c757d;
	        color: #fff;
	        line-height: 44px;
            text-decoration: none;
        }

        body button{
                font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                font-size: 20px;
            }   
    </style>
</head>
<body>
    <h2>ログインフォーム</h2>
    <?php if(isset($err['msg'])):?>
        <p><?php echo $err['msg']; ?></p>
    <?php endif; ?>

   <form action="login.php" method="POST">
        <p>
            <label for="id_name">ユーザーID</label>
            <input type="text" name="id_name">
            <?php if(isset($err['id_name'])):?>
                <p><?php echo $err['id_name']; ?></p>
            <?php endif; ?>
        </p>
        <p>
            <label for="password">パスワード</label>
            <input type="password" name="password">
            <?php if(isset($err['password'])):?>
                <p><?php echo $err['password']; ?></p>
            <?php endif; ?>
        </p>

        <p>
            <input type="submit" value="ログイン">
        </p>
   </form> 
   <a href="signup_form.php" class="btn">新規登録はこちら</a>
</body>
</html>