<?php
session_start();

require_once './functions.php';

require_once './userlogic.php';
$result=UserLogic::checkLogin();
if($result){
    header('Location:mypage.php');
}

$login_err=isset($_SESSION['login_err']) ? $_SESSION['login_err'] : null;
unset($_SESSION['login_err']);

?>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ユーザー登録画面</title>
    <style type="text/css">
        body {
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
            Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
            "Noto Color Emoji";
            font-size: 20px;
            color: #666;
            text-align: center;  
            width: 100%;              
        }

        body input{
            font-size: 20px;
        }

        body .btn{
            height: 44px;
	        border-radius: 22px;
	        padding: 10px 20px;
	        background-color: #6c757d;
	        color: #fff;
	        line-height: 44px;
            text-decoration: none;
        }

        body button{
                font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",
                Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol",
                "Noto Color Emoji";
                font-size: 20px;
                color: #666;
                font-size: 20px;
            }   
    </style>
</head>
<body>
<h2>ユーザー登録フォーム</h2>

   <form action="register.php" method="POST">
    <p>
        <label for="id_name">ユーザーID(会社名等)</label>
        <input type="text" name="id_name">
    </p>
    <p>
        <label for="password">パスワード</label>
        <input type="password" name="password">
    </p>
    <p>
        <label for="password_conf">パスワード確認</label>
        <input type="password" name="password_conf">
    </p>   
    <p>
    <input type="hidden" name="csrf_token" value="<?php echo h(setToken());?>">
    </p>
    <p>
        <input type="submit" value="新規登録">
    </p>
   </form> 
   <a href="login_form.php" class="btn">ログイン画面に戻る</a>
</body>
</html>