<?php
session_start();

ini_set('display_errors',"On");

require_once './userlogic.php';
require_once './functions.php';

//ログインしているか判定し、していなかったら新規登録画面へ返す
$result=UserLogic::checkLogin();

if(!$result){
    $_SESSION['login_err']='IDを登録してログインしてください';
    header('Location:signup_form.php');
    return;
}

$username=$_SESSION['login_user'] ["id_name"];
$upload_dir = "uploads/$username/";

// フォルダが存在しなければ作成
if (!file_exists($upload_dir)) {
    mkdir($upload_dir,0777,true);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $folder_name = trim($_POST['folder_name']);
    $folder_path = $upload_dir . $folder_name;

    if (!empty($folder_name) && !file_exists($folder_path)) {
        mkdir($folder_path,0777, true);
        header('Location: mypage.php');
    } else {
        echo "フォルダ名が無効か、既に存在しています。";
    }
}