<?php
session_start();

ini_set('display_errors',"On");

require_once './userlogic.php';
require_once './functions.php';

//ログインしているか判定し、していなかったら新規登録画面へ返す
$result=UserLogic::checkLogin();

if(!$result){
    $_SESSION['login_err']='IDを登録してログインしてください';
    header('Location:signup_form.php');
    return;
}

$username=$_SESSION['login_user'] ["id_name"];
$upload_dir = "uploads/$username/";

$folder = $_GET['folder'] ?? '';
$folder_path = "uploads/$username/$folder";

if (!is_dir($folder_path)) {
    echo "フォルダが存在しません。";
    exit();
}

// フォルダの中身も削除
function deleteFolder($folder) {
    $files = array_diff(scandir($folder), ['.', '..']);
    foreach ($files as $file) {
        $file_path = "$folder/$file";
        is_dir($file_path) ? deleteFolder($file_path) : unlink($file_path);
    }
    return rmdir($folder);
}

// フォルダを削除
if (deleteFolder($folder_path)) {
    echo "フォルダ「$folder」削除成功！";
    header('Location: mypage.php');
} else {
    echo "フォルダ削除に失敗しました。";
}
?>